Subject: [secdir] Security review of draft-ietf-avtcore-aria-srtp-09

From: Ben Laurie <[email-masked]>
Date: Sun, 25 Jun 2017 21:03:10 +0100

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

The summary of the review is ready with nits.

This is essentially a drop-in replacement of AES for SRTP with ARIA, a
cipher I've never heard of.

Because it is a drop-in replacement, it uses SHA-1. Probably it would
be better practice to update the hash function to something more
modern.

The I-D also somewhat eccentrically says that no security problems
have been found with ARIA whilst referencing a paper on a
meet-in-the-middle attack on reduced round ARIA. I am not sure what to
make of this, though clearly it is not a fatal flaw.